# Components & Manifests

The Flux protocol consists of multiple smart contracts / components:

* Main Logic Component (holds state, and does calculations on state):&#x20;

  ```
  component_rdx1czgv2hx5lq4v5tjm32u69s5dw8ja0d4qeau2y5vktvaxlrmsfdy08u
  ```
* Stability Pool Component (contains Flux Reservoirs and handles Redemptions):&#x20;

  ```typescript
  component_rdx1cpkye6pp2643ghalcppdxks6kymyu5gla87gf7sk34k0vg7xu57jaj
  ```
* Flash Loan Component (allows user to get fUSD flash loans):

  ```typescript
  component_rdx1crs3hyyf9u7rnlr3m3eayrk5njtpmyt3dxm8n8sz2tkmzt9njpx2wd
  ```
* Payout Component (used for $ILIS burning):&#x20;

  ```typescript
  component_rdx1cpwhw0amk5d477yy0n9dauckk58tuhy49l33jxsfra8ysn5233evtg
  ```
* Proxy Component (main entry point to protocol, used to manage permissions):

  ```typescript
  component_rdx1cpksv4vl6jlflxrsyutxerncadn8gssgsxxkt7p7p3z2qgnwew7ynk
  ```
* Oracle Component (used to validate price messages):&#x20;

  ```typescript
  component_rdx1cpyymlazmr7nxzph2hztn02zl7qe6t8typnqfgfxtw6lvt3aslw4uz
  ```

[The source code for all these components is available.](/flux/technical-info/source-code.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilikeitstable.com/flux/technical-info/components-and-manifests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
